package com.seeyon.boot.starter.demo.appservice;

import com.seeyon.boot.annotation.AppService;
import com.seeyon.boot.annotation.AppServiceOperation;
import com.seeyon.boot.annotation.OpenApi;
import com.seeyon.boot.transport.SingleRequest;
import com.seeyon.boot.transport.SingleResponse;
import com.seeyon.boot.starter.demo.api.StudentAppService;
import com.seeyon.boot.starter.demo.domain.service.StudentService;
import com.seeyon.boot.starter.demo.dto.StudentDto;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * Description:
 * Author: weijh
 * Date: 2024/11/12 10:45
 */
@AppService
public class StudentAppServiceImpl implements StudentAppService {

    @Autowired
    private StudentService studentService;


    /**
     * 根据学生姓名查询学生信息，注意openApi = @OpenApi(isOpenApi = true) 意味着这个接口开放了openApi
     * @param request
     * @return
     */
    @Override
    @AppServiceOperation(value = "学生信息", description = "通过姓名查询学生信息", returnValue = "学生信息", openApi = @OpenApi(isOpenApi = true))
    public SingleResponse<StudentDto> selectStudentByName(SingleRequest<String> request) {

        StudentDto studentDto = studentService.selectStudentByName(request.getData());
        return SingleResponse.from(studentDto);

    }
}
