package com.seeyon.boot.starter.demo.controller;

import com.seeyon.boot.annotation.ParameterInfo;
import com.seeyon.boot.annotation.RestApi;
import com.seeyon.boot.annotation.RestApiOperation;
import com.seeyon.boot.starter.demo.api.StudentAppService;
import com.seeyon.boot.starter.demo.dto.StudentDto;
import com.seeyon.boot.starter.web.BaseComponentController;
import com.seeyon.boot.transport.SingleRequest;
import com.seeyon.boot.transport.SingleResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Description:
 * Author: weijh
 * Date: 2024/11/12 14:09
 */
@RestController
@RequestMapping("student")
@RestApi("学生访问接口")
public class StudentController extends BaseComponentController {

    @Autowired
    private StudentAppService studentAppService;

    @RestApiOperation(value = "根据学生姓名查询学生信息")
    @GetMapping("{name}")
    public SingleResponse<StudentDto> selectByName(@PathVariable("name") @ParameterInfo(value = "学生姓名") String name){
        return studentAppService.selectStudentByName(SingleRequest.from(name));
    }

}
