package com.seeyon.boot.starter.demo.domain.entity;

import com.seeyon.boot.annotation.EntityAttribute;
import com.seeyon.boot.annotation.EntityInfo;
import com.seeyon.boot.annotation.enums.EntityType;
import com.seeyon.boot.domain.entity.BaseMultipleVersionComponentEntity;
import com.seeyon.boot.enums.DataType;
import com.seeyon.boot.starter.demo.enums.Gender;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Table;

/**
 * Description:
 * Author: weijh
 * Date: 2024/11/12 13:38
 */
@Entity
@Table(name = "demo_student")
@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
@Getter
@Setter
@EntityInfo(value = "学生", description = "", entityType = EntityType.MASTER_ENTITY)
public class Student extends BaseMultipleVersionComponentEntity {
    @Column(name = "name", nullable = false, columnDefinition = "VARCHAR(255) COMMENT '姓名'")
    @EntityAttribute(value = "姓名", dataType = DataType.STRING)
    private String name;

    @Column(name = "stu_gender", columnDefinition = "VARCHAR(20) NOT NULL COMMENT '性别'")
    @EntityAttribute("性别")
    private Gender stuGender;

    @Column(name = "age", nullable = false, columnDefinition = "SMALLINT COMMENT '年龄'")
    @EntityAttribute(value = "年龄", dataType = DataType.INTEGER)
    private Integer age = 1;
}
