package com.seeyon.boot.starter.demo.domain.service;

import com.seeyon.boot.starter.demo.domain.dao.StudentDao;
import com.seeyon.boot.starter.demo.domain.entity.Student;
import com.seeyon.boot.starter.demo.dto.StudentDto;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * Description:
 * Author: weijh
 * Date: 2024/11/12 10:49
 */
@Service
@Slf4j
public class StudentService {
    @Autowired
    private StudentDao studentDao;

    /**
     * demo，根据name查询学生(由于是demo，没有考虑空指针等情况)
     * @param name
     * @return
     */
    public StudentDto selectStudentByName(String name) {
        Student student = studentDao.selectOneByCondition("name", name);
        return student.to(StudentDto.class);
    }
}
